[Rapidito] Cómo solucionar “E: No se pudo abrir el fichero de bloqueo «/var/lib/dpkg/lock» – open (13: Permiso denegado)”

Editado1: agregada la advertencia de paquetería

Editado2: agregada la razón del problema

Hola de nuevo a todos y todas. En esfuerzos incomunables por hacer posts más cortos voy a tratar de ir al punto. Hoy me meto con un error de terminal que todos tuvimos y tendremos. Se bloquea el dpkg y no nos deja hacer updates o instalar paquetes desde la terminal de Ubuntu.

Es algo relativamente usual que cada tanto Ubuntu se empaque y cuando hacemos un update nos tire el mensaje en cuestión E: No se pudo abrir el fichero de bloqueo «/var/lib/dpkg/lock» - open (13: Permiso denegado). Este mensaje bloquea todo tipo de instalación y upgrade del sistema, hacíendolo realmente molesto. Las razones son cosa’e mandinga para mi, pero la solución se las comparto a continuación.

La solución. Pim pam pum (o en 2 patadas)

En corta, abran una terminal y peguen:

sudo rm -Rf var/lib/dpkg/lock ; sudo apt-get dist-upgrade -y

Un segundito… que páaaaare la música!: Si agregaron un nuevo PPA o instalaron un paquetón que no funciona bien, entonces la línea de arriba fuerza a que el paquete se instale. Si ese es el caso, saquen el “-y” del final y controlen que la instalación vaya correctamente. Agradezco a +Javi en guglplás por la señalación.

Listo!

La razón del error, como dije, me es completamente ajena es simple (gracias +Héctor!): se debe a que cancelamos manualmente el proceso apt-get update. Luego de la cancelación, dpkg se empaca y bloquea esa carpeta impidiendo el acceso al sistema de paquetes. Así que si quieren prevenir este error, nada de ctrl+c o de killall apt-get durante el proceso `sudo apt-get update`.

Esta solución que les presenté se deriva directmente del mensaje que nos devuelve apt-get. Cuando dice que «/var/lib/dpkg/lock» está bloqueado, entonces sabemos que el problema está ahí. Lejos de tratar de “desbloquearlo”, el camino fácil es borrarlo ya que dpkg debería regenarlo por cada paquete que instala y, en efecto, es lo que sucede. Una vez que forzamos la eliminación del directorio todo vuelve a la normalidad. Para terminar de curar el sistema, debemos reiniciar.

Wow, eso fue corto. Me siento raro. :P

Espero les sirva y hasta la próxima! :D

Salú!!

//

[Rapidito] Cómo solucionar “E: No se pudo abrir el fichero de bloqueo «/var/lib/dpkg/lock» – open (13: Permiso denegado)”

37 thoughts on “[Rapidito] Cómo solucionar “E: No se pudo abrir el fichero de bloqueo «/var/lib/dpkg/lock» – open (13: Permiso denegado)”

  1. ep007 says:

    Hola que tal, como instalaste ese Dock, se ve muy bien ese escritorio, me podrias ayudar a decirme como instalar ese desktop? muchas gracias.

    1. Hola Aliana! XD
      ..ahhh… es una libertad que me tomo cuando escribo, desde los primeros posts jeje. Invento palabritas!!! XD
      …Elige tu propia aventura, no te voy a andar cortando el rollo definiéndo lo que quise decir jajaja. :P

    1. inmediatamente después lo corrés te sigue marcando error?

      Si no, corré la solución y reiniciá. Luego los cambios deberían quedar permanentes.

      Si si, posteame el output de la terminal a ver qué podemos hacer :)

  2. Skttrbrains says:

    Hola amigos, quiero dejar mi experencia con este problema, porque busque por la red y en este blog fue el más completo. ¿sirvieron los comandos de rho? la verdad NO, pero logré solucionar mi problema de la siguiente forma: abri mi explorador de archivos como root, en mi caso con gksudo pantheon-files y me metí al directorio /var/lib/dpkg y borre el archivo lock, reinicie mi pc y voilá. todo funcionando como nuevo.

    Saludos y gracias Rho por tu blog y por ayudarme a encontrar la solucion, ya que sin tu post, no hubiese llegado a mi conclusión.

    1. Hola man, bueno, me alegro que haya servido!
      En efecto es raro que no te hayan funcionado los comandos porque lo que hacen es exactamente eso que hiciste manualmente. Borran el archivo lock. Nada más. ^_^

      De cualquier forma, lo importante es que lo pudiste hacer. Gracias por pasar y dejarnos tu experiencia! :)

  3. Mariel says:

    Hola! no pude solucionar el error con tu consejo, me ayudas? Aca te mando el detalle de lo que me arroja al introducir tus sentencias:
    sudo rm -Rf var/lib/dpkg/lock ; sudo apt-get dist-upgrade -y
    Leyendo lista de paquetes… Hecho
    Creando árbol de dependencias
    Leyendo la información de estado… Hecho
    Tal vez quiera ejecutar «apt-get -f install» para corregirlo.
    Los siguientes paquetes tienen dependencias incumplidas:
    libreoffice-core : Depende: libreoffice-common (> 1:4.2.4) pero no está instalado
    libreoffice-help-en-us : Depende: libreoffice-l10n-en-us
    libreoffice-l10n-en-gb : Depende: libreoffice-common pero no está instalado
    libreoffice-l10n-en-za : Depende: libreoffice-common pero no está instalado
    libreoffice-l10n-es : Depende: libreoffice-common pero no está instalado
    libreoffice-ogltrans : Depende: libreoffice-common pero no está instalado
    E: Dependencias incumplidas. Pruebe de nuevo usando -f.

    1. Hola Mariel, mil disculpas por la demora en la respuesta. Espero lo hayas solucionado. Si no, acá va (lo que yo haría):

      sudo dpkg –configure -a
      sudo apt-get remove –purge libreoffice*
      sudo apt-get install -f
      sudo dpkg –configure -a
      sudo apt-get install -f
      sudo apt-get install libreoffice

      (si agregaste un ppa de libreoffice -me juego las bolas que si- entonces lo tenés que remover desde “synaptic”, o con y-ppa-manager o desde la terminal con ppa-purge).
      Salú!

      1. Mariel says:

        muchas gracias!!! ya desinstalé esa cosa, y ahora puse openoffice y anda de lujo! se los recomiendo! Saludos desde Argentina

  4. Hola! estuve tratando de solucionar algunos problemas con ubuntu y la mayoria pude gracias a este blog. Hay un problema con las dependencias incumplidas que no se que más poner el el sitema de comandos. Siempre me sale lo mismo; problemas con libevview3-3 y libgucharmap- Te copio lo que pasa cuando pongo la linea que publicaste aca. Espero poder arreglarlo!- Un saludo grande

    manuel@ubuntu:~$ sudo rm -Rf var/lib/dpkg/lock ; sudo apt-get dist-upgrade -y
    Leyendo lista de paquetes… Hecho
    Creando árbol de dependencias
    Leyendo la información de estado… Hecho
    Tal vez quiera ejecutar «apt-get -f install» para corregirlo.
    Los siguientes paquetes tienen dependencias incumplidas:
    evince : Depende: libevview3-3 (= 3.10.3-0ubuntu10.1) pero 3.10.0-0ubuntu2 está instalado
    gucharmap : Depende: libgucharmap-2-90-7 (= 1:3.10.1-0ubuntu2) pero 1:3.8.2-3 está instalado
    E: Dependencias incumplidas. Pruebe de nuevo usando -f.

  5. JoseV says:

    Muchas gracias! me funciono de maravilla! y todo era un ppa del “Tor” que estaba muerto
    Elementary “Luna”, P4 -2Gb ram

  6. Gumer says:

    root@canaima-popular:~# aptitude upgrade
    Se configurarán los siguientes paquetes que están ahora parcialmente instalados:
    gnome-brave-icon-theme gnome-colors gnome-colors-common
    gnome-dust-icon-theme gnome-human-icon-theme gnome-illustrious-icon-theme
    gnome-noble-icon-theme gnome-wine-icon-theme gnome-wise-icon-theme
    No se instalará, actualizará o eliminará ningún paquete.
    0 paquetes actualizados, 0 nuevos instalados, 0 para eliminar y 0 sin actualizar.
    Necesito descargar 0 B de ficheros. Después de desempaquetar se usarán 0 B.
    dpkg: aviso: ‘dpkg-deb’ not found on PATH.
    dpkg: 1 expected program(s) not found on PATH.
    NB: root’s PATH should usually contain /usr/local/sbin, /usr/sbin and /sbin.
    localepurge: Disk space freed in /usr/share/locale: 0 KiB
    localepurge: Disk space freed in /usr/share/man: 0 KiB
    localepurge: Disk space freed in /usr/share/gnome/help: 0 KiB
    localepurge: Disk space freed in /usr/share/omf: 0 KiB
    localepurge: Disk space freed in /usr/share/doc/kde/HTML: 0 KiB

    Total disk space freed by localepurge: 0 KiB

    E: Sub-process /usr/bin/dpkg returned an error code (2)
    Un paquete no se pudo instalar. Intentado recuperarse:
    dpkg: aviso: ‘dpkg-deb’ not found on PATH.
    dpkg: 1 expected program(s) not found on PATH.
    NB: root’s PATH should usually contain /usr/local/sbin, /usr/sbin and /sbin.

    root@canaima-popular:~#

    AMIGO AYUDA borre los archivos de dpkg manualmente y ahora nose como solucionarlo!

  7. julian delgdo jimenez says:

    ¡Namaste hermano!
    Gracias desde España por tu noble generosidad.
    E: No se pudo abrir el fichero de bloqueo «/var/lib/dpkg/lock» – open (13: Permiso denegado)
    —<-ꗾ :)

  8. beykert says:

    tengo el problema. y no se soluciona el: rm -Rf var/lib/dpkg/lock pareciera que no hiciera nada al usar el otro comando me sigue apareciendo el mismo mensaje de bloqueo etc etc. :(. quisiera poder entrar y borrar el archivo como el otro man pero resulta que mi equipo tampoco quiere arrancar de forma grafica solo puedo hacer comandos… y para solucionar eso necesito solucionar esto primero… (2 cosas jodidas al mismo tiempo… bravo)

    1. ja! te la hago corta. copia el home a un pendrive y pisa todo con una intalación nueva porque cuando la cosa se pone tan espesa hay que estar muchas horas para arreglar el lio. es mucho más facil y rapido hacer un nuevo install. Especialmente si /home está en una partición aparte. :) Salú!

  9. rodrigo says:

    que puedo hacer con esto??;odrigo@rodrigo-M68MT-S2:~$ sudo add-apt-repository -y ppa:ricotz/docky && sudo apt-get update && sudo apt-get install -y plank
    [sudo] password for rodrigo:
    gpg: anillo «/tmp/tmpqly27yph/secring.gpg» creado
    gpg: anillo «/tmp/tmpqly27yph/pubring.gpg» creado
    gpg: solicitando clave 9E5DB0C8 de hkp servidor keyserver.ubuntu.com
    gpg: /tmp/tmpqly27yph/trustdb.gpg: se ha creado base de datos de confianza
    gpg: clave 9E5DB0C8: clave pública “Launchpad PPA for Rico” importada
    gpg: Cantidad total procesada: 1
    gpg: importadas: 1 (RSA: 1)
    OK
    Ign http://ar.archive.ubuntu.com trusty InRelease
    Ign http://ar.archive.ubuntu.com trusty-updates InRelease
    Obj http://ar.archive.ubuntu.com trusty Release.gpg
    Obj http://ar.archive.ubuntu.com trusty-updates Release.gpg
    Obj http://ar.archive.ubuntu.com trusty Release
    Obj http://ar.archive.ubuntu.com trusty-updates Release
    Obj http://ar.archive.ubuntu.com trusty/main Sources
    Obj http://ar.archive.ubuntu.com trusty/restricted Sources
    Obj http://ar.archive.ubuntu.com trusty/universe Sources
    Obj http://ar.archive.ubuntu.com trusty/multiverse Sources
    Ign http://extras.ubuntu.com trusty InRelease
    Obj http://ar.archive.ubuntu.com trusty/main amd64 Packages
    Obj http://extras.ubuntu.com trusty Release.gpg
    Obj http://extras.ubuntu.com trusty Release
    Obj http://archive.getdeb.net trusty-getdeb InRelease
    Obj http://ar.archive.ubuntu.com trusty/restricted amd64 Packages
    Obj http://extras.ubuntu.com trusty/main Sources
    Obj http://archive.getdeb.net trusty-getdeb/games amd64 Packages
    Obj http://extras.ubuntu.com trusty/main amd64 Packages
    Obj http://ar.archive.ubuntu.com trusty/universe amd64 Packages
    Obj http://extras.ubuntu.com trusty/main i386 Packages
    Obj http://archive.getdeb.net trusty-getdeb/apps amd64 Packages
    Obj http://ar.archive.ubuntu.com trusty/multiverse amd64 Packages
    Obj http://archive.getdeb.net trusty-getdeb/games i386 Packages
    Obj http://ar.archive.ubuntu.com trusty/main i386 Packages
    Obj http://archive.getdeb.net trusty-getdeb/apps i386 Packages
    Obj http://ar.archive.ubuntu.com trusty/restricted i386 Packages
    Obj http://ar.archive.ubuntu.com trusty/universe i386 Packages
    Obj http://ar.archive.ubuntu.com trusty/multiverse i386 Packages
    Ign http://security.ubuntu.com trusty-security InRelease
    Obj http://security.ubuntu.com trusty-security Release.gpg
    Ign http://extras.ubuntu.com trusty/main Translation-es_AR
    Obj http://security.ubuntu.com trusty-security Release
    Ign http://extras.ubuntu.com trusty/main Translation-es
    Obj http://deb.playonlinux.com trusty InRelease
    Ign http://extras.ubuntu.com trusty/main Translation-en
    Obj http://ar.archive.ubuntu.com trusty/main Translation-es
    Obj http://deb.playonlinux.com trusty/main amd64 Packages
    Obj http://deb.playonlinux.com trusty/main i386 Packages
    Obj http://security.ubuntu.com trusty-security/main Sources
    Obj http://ar.archive.ubuntu.com trusty/main Translation-en
    Obj http://security.ubuntu.com trusty-security/restricted Sources
    Obj http://security.ubuntu.com trusty-security/universe Sources
    Obj http://security.ubuntu.com trusty-security/multiverse Sources
    Obj http://security.ubuntu.com trusty-security/main amd64 Packages
    Obj http://ar.archive.ubuntu.com trusty/multiverse Translation-es
    Obj http://security.ubuntu.com trusty-security/restricted amd64 Packages
    Obj http://security.ubuntu.com trusty-security/universe amd64 Packages
    Obj http://ar.archive.ubuntu.com trusty/multiverse Translation-en
    Obj http://security.ubuntu.com trusty-security/multiverse amd64 Packages
    Obj http://security.ubuntu.com trusty-security/main i386 Packages
    Obj http://security.ubuntu.com trusty-security/restricted i386 Packages
    Obj http://security.ubuntu.com trusty-security/universe i386 Packages
    Obj http://ar.archive.ubuntu.com trusty/restricted Translation-es
    Obj http://security.ubuntu.com trusty-security/multiverse i386 Packages
    Obj http://security.ubuntu.com trusty-security/main Translation-en
    Obj http://security.ubuntu.com trusty-security/multiverse Translation-en
    Obj http://ar.archive.ubuntu.com trusty/restricted Translation-en
    Obj http://security.ubuntu.com trusty-security/restricted Translation-en
    Ign http://archive.ualinux.com trusty InRelease
    Obj http://security.ubuntu.com trusty-security/universe Translation-en
    Ign http://archive.ualinux.com trusty Release.gpg
    Obj http://ar.archive.ubuntu.com trusty/universe Translation-es
    Ign http://archive.ualinux.com trusty Release
    Ign http://deb.playonlinux.com trusty/main Translation-es_AR
    Ign http://archive.ualinux.com trusty/main amd64 Packages/DiffIndex
    Ign http://archive.getdeb.net trusty-getdeb/apps Translation-es_AR
    Ign http://deb.playonlinux.com trusty/main Translation-es
    Ign http://archive.ualinux.com trusty/main i386 Packages/DiffIndex
    Obj http://ar.archive.ubuntu.com trusty/universe Translation-en
    Ign http://archive.getdeb.net trusty-getdeb/apps Translation-es
    Ign http://deb.playonlinux.com trusty/main Translation-en
    Ign http://archive.getdeb.net trusty-getdeb/apps Translation-en
    Obj http://ar.archive.ubuntu.com trusty-updates/main Sources
    Ign http://archive.getdeb.net trusty-getdeb/games Translation-es_AR
    Obj http://ar.archive.ubuntu.com trusty-updates/restricted Sources
    Ign http://archive.getdeb.net trusty-getdeb/games Translation-es
    Ign http://archive.getdeb.net trusty-getdeb/games Translation-en
    Obj http://ar.archive.ubuntu.com trusty-updates/universe Sources
    Obj http://ar.archive.ubuntu.com trusty-updates/multiverse Sources
    Obj http://ar.archive.ubuntu.com trusty-updates/main amd64 Packages
    Obj http://ar.archive.ubuntu.com trusty-updates/restricted amd64 Packages
    Obj http://ar.archive.ubuntu.com trusty-updates/universe amd64 Packages
    Obj http://ar.archive.ubuntu.com trusty-updates/multiverse amd64 Packages
    Ign http://archive.ualinux.com trusty/main Translation-es_AR
    Ign http://dl.google.com stable InRelease
    Ign http://archive.ualinux.com trusty/main Translation-es
    Ign http://ppa.launchpad.net trusty InRelease
    Obj http://dl.google.com stable Release.gpg
    Ign http://archive.ualinux.com trusty/main Translation-en
    Ign http://ppa.launchpad.net trusty InRelease
    Obj http://dl.google.com stable Release
    Err http://archive.ualinux.com trusty/main amd64 Packages
    404 Not Found
    Ign http://ppa.launchpad.net trusty InRelease
    Obj http://dl.google.com stable/main amd64 Packages
    Err http://archive.ualinux.com trusty/main i386 Packages
    404 Not Found
    Ign http://ppa.launchpad.net trusty InRelease
    Obj http://dl.google.com stable/main i386 Packages
    Ign http://ppa.launchpad.net trusty InRelease
    Obj http://ar.archive.ubuntu.com trusty-updates/main i386 Packages
    Ign http://ppa.launchpad.net trusty InRelease
    Ign http://ppa.launchpad.net trusty Release.gpg
    Obj http://ar.archive.ubuntu.com trusty-updates/restricted i386 Packages
    Ign http://ppa.launchpad.net trusty Release.gpg
    Ign http://ppa.launchpad.net trusty Release.gpg
    Ign http://ppa.launchpad.net trusty Release.gpg
    Obj http://ar.archive.ubuntu.com trusty-updates/universe i386 Packages
    Ign http://ppa.launchpad.net trusty Release.gpg
    Ign http://ppa.launchpad.net trusty Release.gpg
    Obj http://ar.archive.ubuntu.com trusty-updates/multiverse i386 Packages
    Ign http://ppa.launchpad.net trusty Release
    Obj http://ar.archive.ubuntu.com trusty-updates/main Translation-en
    Obj http://ar.archive.ubuntu.com trusty-updates/multiverse Translation-en
    Ign http://dl.google.com stable/main Translation-es_AR
    Ign http://dl.google.com stable/main Translation-es
    Obj http://ar.archive.ubuntu.com trusty-updates/restricted Translation-en
    Ign http://dl.google.com stable/main Translation-en
    Ign http://ppa.launchpad.net trusty Release
    Obj http://ar.archive.ubuntu.com trusty-updates/universe Translation-en
    Ign http://linux.dropbox.com trusty InRelease
    Obj http://linux.dropbox.com trusty Release.gpg
    Obj http://linux.dropbox.com trusty Release
    Obj http://linux.dropbox.com trusty/main amd64 Packages
    Obj http://linux.dropbox.com trusty/main i386 Packages
    Ign http://ppa.launchpad.net trusty Release
    Ign http://ar.archive.ubuntu.com trusty/main Translation-es_AR
    Ign http://ar.archive.ubuntu.com trusty/multiverse Translation-es_AR
    Ign http://ar.archive.ubuntu.com trusty/restricted Translation-es_AR
    Ign http://ar.archive.ubuntu.com trusty/universe Translation-es_AR
    Ign http://linux.dropbox.com trusty/main Translation-es_AR
    Ign http://linux.dropbox.com trusty/main Translation-es
    Ign http://linux.dropbox.com trusty/main Translation-en
    Ign http://ppa.launchpad.net trusty Release
    Ign http://ppa.launchpad.net trusty Release
    Ign http://ppa.launchpad.net trusty Release
    Ign http://ppa.launchpad.net trusty/main amd64 Packages/DiffIndex
    Ign http://ppa.launchpad.net trusty/main i386 Packages/DiffIndex
    Ign http://ppa.launchpad.net trusty/main amd64 Packages/DiffIndex
    Ign http://ppa.launchpad.net trusty/main i386 Packages/DiffIndex
    Ign http://ppa.launchpad.net trusty/main amd64 Packages/DiffIndex
    Ign http://ppa.launchpad.net trusty/main i386 Packages/DiffIndex
    Ign http://ppa.launchpad.net trusty/main amd64 Packages/DiffIndex
    Ign http://ppa.launchpad.net trusty/main i386 Packages/DiffIndex
    Ign http://ppa.launchpad.net trusty/main amd64 Packages/DiffIndex
    Ign http://ppa.launchpad.net trusty/main i386 Packages/DiffIndex
    Ign http://ppa.launchpad.net trusty/main Translation-es_AR
    Ign http://ppa.launchpad.net trusty/main Translation-es
    Ign http://ppa.launchpad.net trusty/main Translation-en
    Ign http://ppa.launchpad.net trusty/main Translation-es_AR
    Ign http://ppa.launchpad.net trusty/main Translation-es
    Ign http://ppa.launchpad.net trusty/main Translation-en
    Ign http://ppa.launchpad.net trusty/main Translation-es_AR
    Ign http://ppa.launchpad.net trusty/main Translation-es
    Ign http://ppa.launchpad.net trusty/main Translation-en
    Err http://ppa.launchpad.net trusty/main amd64 Packages
    404 Not Found
    Err http://ppa.launchpad.net trusty/main i386 Packages
    404 Not Found
    Ign http://ppa.launchpad.net trusty/main Translation-es_AR
    Ign http://ppa.launchpad.net trusty/main Translation-es
    Ign http://ppa.launchpad.net trusty/main Translation-en
    Ign http://ppa.launchpad.net trusty/main Translation-es_AR
    Ign http://ppa.launchpad.net trusty/main Translation-es
    Ign http://ppa.launchpad.net trusty/main Translation-en
    Ign http://ppa.launchpad.net trusty/main Translation-es_AR
    Ign http://ppa.launchpad.net trusty/main Translation-es
    Ign http://ppa.launchpad.net trusty/main Translation-en
    Err http://ppa.launchpad.net trusty/main amd64 Packages
    404 Not Found
    Err http://ppa.launchpad.net trusty/main i386 Packages
    404 Not Found
    Err http://ppa.launchpad.net trusty/main amd64 Packages
    404 Not Found
    Err http://ppa.launchpad.net trusty/main i386 Packages
    404 Not Found
    Err http://ppa.launchpad.net trusty/main amd64 Packages
    404 Not Found
    Err http://ppa.launchpad.net trusty/main i386 Packages
    404 Not Found
    Err http://ppa.launchpad.net trusty/main amd64 Packages
    404 Not Found
    Err http://ppa.launchpad.net trusty/main i386 Packages
    404 Not Found
    Err http://ppa.launchpad.net trusty/main amd64 Packages
    404 Not Found
    Err http://ppa.launchpad.net trusty/main i386 Packages
    404 Not Found
    W: Imposible obtener http://archive.ualinux.com/ubuntu/dists/trusty/main/binary-amd64/Packages 404 Not Found

    W: Imposible obtener http://archive.ualinux.com/ubuntu/dists/trusty/main/binary-i386/Packages 404 Not Found

    W: Imposible obtener http://ppa.launchpad.net/ricotz/docky/ubuntu/dists/trusty/main/binary-amd64/Packages 404 Not Found

    W: Imposible obtener http://ppa.launchpad.net/ricotz/docky/ubuntu/dists/trusty/main/binary-i386/Packages 404 Not Found

    W: Imposible obtener http://ppa.launchpad.net/diesch/testing/ubuntu/dists/trusty/main/binary-amd64/Packages 404 Not Found

    W: Imposible obtener http://ppa.launchpad.net/diesch/testing/ubuntu/dists/trusty/main/binary-i386/Packages 404 Not Found

    W: Imposible obtener http://ppa.launchpad.net/gregory-hainaut/pcsx2.official.ppa/ubuntu/dists/trusty/main/binary-amd64/Packages 404 Not Found

    W: Imposible obtener http://ppa.launchpad.net/gregory-hainaut/pcsx2.official.ppa/ubuntu/dists/trusty/main/binary-i386/Packages 404 Not Found

    W: Imposible obtener http://ppa.launchpad.net/n-muench/vlc/ubuntu/dists/trusty/main/binary-amd64/Packages 404 Not Found

    W: Imposible obtener http://ppa.launchpad.net/n-muench/vlc/ubuntu/dists/trusty/main/binary-i386/Packages 404 Not Found

    W: Imposible obtener http://ppa.launchpad.net/tualatrix/ppa/ubuntu/dists/trusty/main/binary-amd64/Packages 404 Not Found

    W: Imposible obtener http://ppa.launchpad.net/tualatrix/ppa/ubuntu/dists/trusty/main/binary-i386/Packages 404 Not Found

    W: Imposible obtener http://ppa.launchpad.net/ubuntu-wine/ppa/ubuntu/dists/trusty/main/binary-amd64/Packages 404 Not Found

    W: Imposible obtener http://ppa.launchpad.net/ubuntu-wine/ppa/ubuntu/dists/trusty/main/binary-i386/Packages 404 Not Found

    E: Algunos archivos de índice fallaron al descargar. Se han ignorado, o se han utilizado unos antiguos en su lugar

    1. Hola Rodri. Parece que tenés problemas con las sources. Fijate que todas las que tienen error 404 no están funcionando. Te recomiendo usar synaptic (sudo apt-get install synaptic) para editarlos. Tenés que ir a herramientas > repositorios > pestaña: software de terceros y descliquear todos los repositorios que tengas activos. Probar de nuevo a ver si te funciona el update y luego ir activando de a uno. Tu lista de apt funciona bien, el problema tuyo es que tenés como 50 repositorios muertos. Ojo con agregar PPAs compulsivamente, siempre checkea antes si soportan la versión de Ubuntu que tenés instalada. Salú!

  10. hola buenas disculpen tengo este problema y no se q mas hacer e intentado distintas soluciones y ninguna me ha funcionado,, al intentar instalar algo desde el terminal me sale este error
    yargelis@yargelis-W240BU:~$ sudo apt-get install synaptic
    Leyendo lista de paquetes… Hecho
    Creando árbol de dependencias
    Leyendo la información de estado… Hecho
    Se instalarán los siguientes paquetes extras:
    docbook-xml libcairo-perl libept1.4.12 libglib-perl libgtk2-perl
    libpango-perl librarian0 rarian-compat sgml-data
    Paquetes sugeridos:
    docbook docbook-dsssl docbook-xsl docbook-defguide libfont-freetype-perl
    libgtk2-perl-doc perlsgml w3-recs opensp dwww menu tasksel
    Se instalarán los siguientes paquetes NUEVOS:
    docbook-xml libcairo-perl libept1.4.12 libglib-perl libgtk2-perl
    libpango-perl librarian0 rarian-compat sgml-data synaptic
    0 actualizados, 10 se instalarán, 0 para eliminar y 227 no actualizados.
    Se necesita descargar 2.604 kB/3.468 kB de archivos.
    Se utilizarán 18,2 MB de espacio de disco adicional después de esta operación.
    ¿Desea continuar? [S/n] s
    AVISO: ¡No se han podido autenticar los siguientes paquetes!
    libept1.4.12 sgml-data docbook-xml libcairo-perl libglib-perl libpango-perl
    libgtk2-perl librarian0 rarian-compat synaptic
    ¿Instalar estos paquetes sin verificación? [s/N] s
    Err http://ve.archive.ubuntu.com/ubuntu/ utopic/universe libcairo-perl i386 1.104-1build1
    404 Not Found [IP: 200.236.31.4 80]
    Err http://ve.archive.ubuntu.com/ubuntu/ utopic/universe libglib-perl i386 3:1.305-1build1
    404 Not Found [IP: 200.236.31.4 80]
    Err http://ve.archive.ubuntu.com/ubuntu/ utopic/universe libpango-perl i386 1.226-1build1
    404 Not Found [IP: 200.236.31.4 80]
    Err http://ve.archive.ubuntu.com/ubuntu/ utopic/universe libgtk2-perl i386 2:1.2492-2
    404 Not Found [IP: 200.236.31.4 80]
    Err http://ve.archive.ubuntu.com/ubuntu/ utopic/universe synaptic i386 0.81.2
    404 Not Found [IP: 200.236.31.4 80]
    E: Imposible obtener http://ve.archive.ubuntu.com/ubuntu/pool/universe/libc/libcairo-perl/libcairo-perl_1.104-1build1_i386.deb 404 Not Found [IP: 200.236.31.4 80]

    E: Imposible obtener http://ve.archive.ubuntu.com/ubuntu/pool/universe/libg/libglib-perl/libglib-perl_1.305-1build1_i386.deb 404 Not Found [IP: 200.236.31.4 80]

    E: Imposible obtener http://ve.archive.ubuntu.com/ubuntu/pool/universe/libp/libpango-perl/libpango-perl_1.226-1build1_i386.deb 404 Not Found [IP: 200.236.31.4 80]

    E: Imposible obtener http://ve.archive.ubuntu.com/ubuntu/pool/universe/libg/libgtk2-perl/libgtk2-perl_1.2492-2_i386.deb 404 Not Found [IP: 200.236.31.4 80]

    E: Imposible obtener http://ve.archive.ubuntu.com/ubuntu/pool/universe/s/synaptic/synaptic_0.81.2_i386.deb 404 Not Found [IP: 200.236.31.4 80]

    E: No se pudieron obtener algunos archivos, ¿quizás deba ejecutar «apt-get update» o deba intentarlo de nuevo con –fix-missing?
    como lo soluciono amigos

    1. parece que tuvieras algún problema de conexión yargelis. Por otro lado: la forma cruda de hacer esto es eliminando todos los ppas que tengas instalados. Sin embargo el error ese debería irse si ponés un sudo dpkg –configure -a …el otro problema de los 404 que tenés parece estar asociado a tu conexión a que el servidor particular de Venezuela al que te estás conectando no está funcionando bien. Podrías probar con otro servidor (te recomendaría el oficial, que a pesar de ser más lento, anda siempre). A ver cómo te fue! :D)

  11. agustin says:

    hola tengo ubuntu 12.04 y me tira esto cuando termina de actualizar:
    Extrayendo plantillas para los paquetes: 100%
    Preconfigurando paquetes …
    (Leyendo la base de datos … 500054 ficheros o directorios instalados actualmente.)
    Desinstalando lindvd …
    dpkg: error al procesar lindvd (–remove):
    el subproceso instalado el script post-removal devolvió el código de salida de error 1
    No se escribió ningún informe «apport» porque ya se ha alcanzado el valor de «MaxReports»
    Procesando disparadores para ureadahead …
    Se encontraron errores al procesar:
    lindvd
    E: Sub-process /usr/bin/dpkg returned an error code (1)

    no me deja actualizar nada y tampoco puedo ingresar a paginas http:// solo puedo entrar a paginas https://
    pd: no soy muy bueno con ubuntu jaja

    1. jajajaja hiciste un lío barbaro che! jajaja
      Probá un “sudo dpkg –configure -all” y luego un sudo apt-get update. Si no se arregla, buscate un pendrive e instalá de nuevo tu Ubuntu porque está completamente kaput! jajaj

Y tu? qué estás mirando? :)

Fill in your details below or click an icon to log in:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out / Change )

Twitter picture

You are commenting using your Twitter account. Log Out / Change )

Facebook photo

You are commenting using your Facebook account. Log Out / Change )

Google+ photo

You are commenting using your Google+ account. Log Out / Change )

Connecting to %s